//=========================================================
// cheque.h
//=========================================================

#ifndef CHEQUE_H
#define CHEQUE_H

#include "FLcheque.H"
#include <FL/fl_file_chooser.H>

#include "money.H"
#include "combo.H"
#include "flcio.H"


extern int editNbr;
extern int acctNbr;
extern bool isDirty;
extern char szFLCfile[];

extern void SetTitle();
extern void ClearAccountMenu();
extern void CreateAccountMenu();
extern void UpdateAccountMenu();
extern void ClearTransaction();
extern void EditTransaction( int i );
extern void loadBrowser();
extern char *BrowserLine( int i, Transaction * );
extern void pickfile(Fl_Menu_ *w, void *d) ;
extern void SaveFile( Fl_Menu_ *w, void *d);
extern void BrowserDblClick_cb( Fl_Browser *o, void *d );
extern void btnNext_cb( Fl_Button *o, void *d );
extern void btnLast_cb( Fl_Button *o, void *d );
extern void btnPrev_cb( Fl_Button *o, void *d );
extern void btnFirst_cb( Fl_Button *o, void *d );

extern void initXfrFunds();
extern void doXfrFunds();

extern double dMoney( const char * );

extern void activateButtons ();

#endif
