#ifndef DATE_H
#define DATE_H

#include <iostream.h>
#include <time.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

class Date {
  friend ostream &operator<<( ostream &, const Date & );

public:
  Date();
  Date( int m, int d, int y );
  void setDate( int, int, int );      // set the date
  void setDate( Date & );
  void setFormat (int);
  void today();                       // set date to the present day
  void Year( int );
  int Year();
  void Month( int );
  int Month();
  void Day( int );
  int Day();
  double dJulian();
  char *szDate (int n = 2);

  bool operator==( const Date & );
  bool operator!=( const Date & );
  bool operator<( const Date & );
  bool operator>( const Date & );
  void operator=( const Date & );
  const Date &operator+=( int);        // add days, modify object
  Date &operator++();                  // pre-increment operator
  Date operator++( int );             // post-increment operator
  
  bool endOfMonth( int );
  bool leapYear( int );
  bool isvalid( int m, int d, int y );

private:
  int  year;
  int  month;
  int  day;
  int  fmt;
  static const int days[];
  static const int jdays[];
  void helpIncrement();

};

#endif
