// ====================================================================
//
//  reports.cc Fast Light Took Kit Checkbook Program
//             report functions
//
//  Copyright (C) 1998 David Freese                                  
//                                                                   
//  This program is free software; you can redistribute it and/or    
//  modify it under the terms of the GNU General Public License as   
//  published by the Free Software Foundation; either version 2 of   
//  the License, or (at your option) any later version.              
//                                                                   
//  This program is distributed in the hope that it will be useful,  
//  but WITHOUT ANY WARRANTY; without even the implied warranty of   
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the    
//  GNU General Public License for more details.                     
//                                                                   
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software      
//  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.        
//                                                                   
//    Author: Dave Freese                                            
//  Internet: dfreese@intrepid.net                                   
//                                                                   
// ====================================================================

#include "cheque.H"
#include "account.H"
#include <stdlib.h>

void cb_PrintReport( Fl_Button *b, void *data )
{
}

void cb_FileReport( Fl_Button *b, void *data )
{
}

void cb_OKreport( Fl_Button *b, void *data )
{
  wReconcileReport->hide();  
}

void addRecLine( Transaction *pX )
{
  char s[80];
  Money mDebit = pX->mnyDebit;
  Money mCredit = pX->mnyCredit;
  sprintf( s, "%4s|%-30s|%s|%s",
           pX->Tnum(), pX->Tdesc(),
           szMoney(mDebit, 8), szMoney(mCredit, 8) );
  brwRecReport->add( s );
}

void cb_ReconcileReport( Fl_Menu_ *m, void *data )
{
  Account *pA = acnt[ acctNbr ];
  Transaction *pX;
  int numX = pA->Xnbr();

  for( int i = 0; i < numX; i++ ) {
    pX = pA->Xline(i);
    if( pX->Trec() == false )
        addRecLine( pX );
  }
  brwRecReport->topline(1);
  wReconcileReport->show();
}

void cb_mPlotBalance( Fl_Menu_ *m, void *data )
{
  wPlotBalance->show();
}

